﻿Public Class cNettroFeatureLayer
  Inherits ThinkGeo.MapSuite.Core.Layer


  Protected Overrides Sub DrawCore(ByVal canvas As ThinkGeo.MapSuite.Core.GeoCanvas, ByVal labelsInAllLayers As System.Collections.ObjectModel.Collection(Of ThinkGeo.MapSuite.Core.SimpleCandidate))

    Dim ocdNettroFeatureLayer As cdNettroFeatureLayer

    Dim oGeoImage As ThinkGeo.MapSuite.Core.GeoImage
    Dim oMemoryStream As System.IO.MemoryStream
    Dim bytArray(-1) As Byte
    Dim oCenterPoint As ThinkGeo.MapSuite.Core.PointShape
    Dim oCenterPointScreen As ThinkGeo.MapSuite.Core.ScreenPointF

    ocdNettroFeatureLayer = New cdNettroFeatureLayer
    bytArray = ocdNettroFeatureLayer.getMapImage(canvas.CurrentWorldExtent.UpperLeftPoint.X, canvas.CurrentWorldExtent.UpperLeftPoint.Y, _
                                                 canvas.CurrentWorldExtent.LowerRightPoint.X, canvas.CurrentWorldExtent.LowerRightPoint.Y, _
                                                 canvas.Width, canvas.Height)

    oMemoryStream = New System.IO.MemoryStream(bytArray)
    oGeoImage = New ThinkGeo.MapSuite.Core.GeoImage(oMemoryStream)

    oCenterPoint = canvas.CurrentWorldExtent.GetCenterPoint
    oCenterPointScreen = ThinkGeo.MapSuite.Core.ExtentHelper.ToScreenCoordinate(canvas.CurrentWorldExtent, oCenterPoint, canvas.Width, canvas.Height)

    canvas.DrawScreenImage(oGeoImage, oCenterPointScreen.X, oCenterPointScreen.Y, oGeoImage.GetWidth, oGeoImage.GetHeight, _
                            ThinkGeo.MapSuite.Core.DrawingLevel.LevelOne, 0.0, 0.0, 0.0)

    oMemoryStream.Close()

  End Sub

End Class
