﻿Public Class fMain

  Private Sub fMain_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    Me.initForm()

  End Sub

  Private Sub initForm()

    Dim strShapeFile = System.IO.Path.Combine(System.Environment.CurrentDirectory, "alk-flurstueck-objekt.shp")


    WinformsMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter
    WinformsMap1.ThreadingMode = ThinkGeo.MapSuite.DesktopEdition.MapThreadingMode.Multithreaded
    WinformsMap1.ZoomLevelSnapping = ThinkGeo.MapSuite.DesktopEdition.ZoomLevelSnappingMode.SnapUp

    Dim oReferenceFeatureLayer As ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer
    oReferenceFeatureLayer = New ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer(strShapeFile)
    oReferenceFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = ThinkGeo.MapSuite.Core.AreaStyles.County2
    oReferenceFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.OutlinePen.Color = ThinkGeo.MapSuite.Core.GeoColor.StandardColors.Red
    oReferenceFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ThinkGeo.MapSuite.Core.ApplyUntilZoomLevel.Level20

    Dim oServerCachedNettroFeatureLayer As cNettroFeatureLayer
    oServerCachedNettroFeatureLayer = New cNettroFeatureLayer

    Dim oServerCachedNettroFeatureLayer2 As cNettroFeatureLayer2
    oServerCachedNettroFeatureLayer2 = New cNettroFeatureLayer2

    Dim oNettroFeatureOverlay As ThinkGeo.MapSuite.DesktopEdition.LayerOverlay
    oNettroFeatureOverlay = New ThinkGeo.MapSuite.DesktopEdition.LayerOverlay

    'oNettroFeatureOverlay.Layers.Add("oServerCachedNettroFeatureLayer2", oServerCachedNettroFeatureLayer2)

    oNettroFeatureOverlay.Layers.Add("oServerCachedNettroFeatureLayer", oServerCachedNettroFeatureLayer)
    oNettroFeatureOverlay.Layers.Add("oServerCachedNettroFeatureLayer2", oServerCachedNettroFeatureLayer2)
    oNettroFeatureOverlay.Layers.Add("oReferenceFeatureLayer", oReferenceFeatureLayer)

    WinformsMap1.Overlays.Add(oNettroFeatureOverlay)

    WinformsMap1.CurrentExtent = New ThinkGeo.MapSuite.Core.RectangleShape("POLYGON((3455698.37 5428841.72,3457273.36 5428841.72,3457273.36 5425881.12,3455698.37 5425881.12,3455698.37 5428841.72))")

  End Sub

  Private Sub fMain_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
    WinformsMap1.Refresh()
  End Sub

End Class
